Subject: [AVTCORE] Question about draft-gharai-avtcore-rtp-tfrc-00

From: Roni Even <[email-masked]>
Date: Sat, 19 Mar 2011 10:35:30 +0200

Hi,

If I understand correctly there will be a new RTP header extension that must
be sent in every RTP packet. Will it not prevent the sender from using other
RTP header extensions.

Thank

Roni Even

---

From: Colin Perkins <[email-masked]>
Date: Sat, 19 Mar 2011 09:04:42 +0000

On 19 Mar 2011, at 08:35, Roni Even wrote:
> If I understand correctly there will be a new RTP header extension that must be sent in every RTP packet. Will it not prevent the sender from using other RTP header extensions.

It uses the RFC 5285 generic header extension mechanism, which allows stacking.

-- 
Colin Perkins
http://csperkins.org/

---

From: Roni Even <[email-masked]>
Date: Sat, 19 Mar 2011 14:01:51 +0200

Hi Colin,
Thanks for reminding me. I assume that you intend to update the draft if
there is an interest in the work.
I think that addressing mixers and translators may be good. Also address the
issues mentioned in RFC5968 about using it with TFRC (comment in figure 1)
and the limitations mentioned in section 3.2.

BTW: TFRC is now RFC5348
Thanks
Roni

> -----Original Message-----
> From: Colin Perkins [mailto:[email-masked]]
> Sent: Saturday, March 19, 2011 11:05 AM
> To: Roni Even
> Cc: [email-masked]
> Subject: Re: [AVTCORE] Question about draft-gharai-avtcore-rtp-tfrc-00
> 
> > If I understand correctly there will be a new RTP header extension
> that must be sent in every RTP packet. Will it not prevent the sender
> from using other RTP header extensions.
>